{ pkgs, lib, config, sources, ... }:
let
  vesktop-nogain = (pkgs.vesktop.overrideAttrs (previousAttrs: {
    patches = previousAttrs.patches ++ [ sources."vesktop.micfix".src ];
  }));
in {
  options.mods.social.enable =
    lib.mkEnableOption "enables social media clients";

  config = lib.mkIf config.mods.social.enable {
    home.packages = with pkgs; [
      # Communication
      # kotatogram-desktop
      signal-desktop
      vesktop-nogain

      # Video
      freetube
    ];
  };
}
